package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingCouponEndactivityRequest struct {
	/*
	   需要删除的活动的信息     */
	Param *domain.AlibabaWdkMarketingCouponEndactivityCommonActivityParam `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingCouponEndactivityRequest) SetParam(v domain.AlibabaWdkMarketingCouponEndactivityCommonActivityParam) *AlibabaWdkMarketingCouponEndactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingCouponEndactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingCouponEndactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
